Package uk.ac.starlink.topcat.plot2

## Interface PlotTypeGui<P,A>

-     public interface PlotTypeGui<P,A>

  Provides PlotType-specific aspects of the GUI, used by the generic PlotWindow GUI.
  Since:
    12 Mar 2013
  Author:
    Mark Taylor

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `AxisController<P,A>` | `createAxisController()` | Returns a user control for axis configuration.
    `PositionCoordPanel` | `createPositionCoordPanel​(int npos)` | Returns a user panel for entering basic standard data positions.
    `ZoneFactory` | `createZoneFactory()` | Returns a new zone ID factory for use with this plot.
    `uk.ac.starlink.ttools.plot2.GangerFactory` | `getGangerFactory()` | Returns the GangerFactory used by this plot.
    `java.lang.String` | `getNavigatorHelpId()` | Returns the help ID describing the navigation actions for this plot.
    `boolean` | `hasPositions()` | Indicates whether this plot type supports selectable point positions.

- - ### Method Detail

    - #### createAxisController

          AxisController<P,A> createAxisController()

      Returns a user control for axis configuration.
      Returns:
        new axis control for this plot type

    - #### createPositionCoordPanel

          PositionCoordPanel createPositionCoordPanel​(int npos)

      Returns a user panel for entering basic standard data positions.
      Parameters:
        `npos` - number of groups of positional coordinates for entry
      Returns:
        new position entry panel for this plot type

    - #### hasPositions

          boolean hasPositions()

      Indicates whether this plot type supports selectable point positions. Normally the return is true, but if this plot type never plots points that can be identified by a screen X,Y position, return false.
      Returns:
        false iff this plot type never supports selectable points

    - #### getGangerFactory

          uk.ac.starlink.ttools.plot2.GangerFactory getGangerFactory()

      Returns the GangerFactory used by this plot. It controls how multi-zone plots are arranged.
      Returns:
        ganger factory

    - #### createZoneFactory

          ZoneFactory createZoneFactory()

      Returns a new zone ID factory for use with this plot. This determines how zone selection for multi-zone plots is done. A new instance should be acquired for each plot window.
      Returns:
        zone id factory

    - #### getNavigatorHelpId

          java.lang.String getNavigatorHelpId()

      Returns the help ID describing the navigation actions for this plot.
      Returns:
        navigator help id

Copyright © 2003-2018 CCLRC: Council for the Central Laboratory of the Research Councils. All Rights Reserved.